small pixel drawing of a pufferfish dotfiles

Add pashmenu
j3s j3s@c3f.net
Thu, 12 Mar 2020 13:53:19 -0500
commit

608bbe3f18f10d2ba4d15e4a1ae03650d0514908

parent

4eab1efb0cff5fbf11159b2d2f23fff780fd4757

1 files changed, 14 insertions(+), 0 deletions(-)

jump to
A bin/pashmenu

@@ -0,0 +1,14 @@

+#!/bin/sh -e +# +# posix i think + +cd "$PASH_DIR" + +# strip .gpg extension & preserve newlines; cut things; sort +passwords=$(find . -type f -name "*.gpg" -exec sh -c 'printf "${0%.gpg}\n"' {} \; | cut -d '/' -f 2- | sort) + +password=$(printf '%s' "$passwords" | dmenu) + +[ -n "$password" ] || exit + +pash copy "$password"